<template>
	<view>
		<uv-navbar title="设备监控中心" :placeholder="true" :titleStyle="{ color: '#ffffff' }" leftIconColor="#ffffff"
			bgColor="#1d345e" @leftClick="goBack"></uv-navbar>
		<view style="position: relative;width: 100%;height: calc(100vh - 88rpx);">
			<web-view :src="'http://182.43.247.65:8081/intell/configurationDiagram?id=' + tailID"></web-view>
		</view>
	</view>
</template>

<script setup lang="ts">
	import { ref, watch } from 'vue'
	import { onLoad, onShow, onReady } from "@dcloudio/uni-app";
	const tailID : any = ref('')
	onLoad((option : any) => {
		tailID.value = `${option.type}-${option.alarmId}`
	})
	// 返回上一页
	function goBack() {
		uni.navigateBack({
			delta: 1,
		});
	}
</script>

<style>
</style>